Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.scxml.model
Class ModelException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.commons.scxml.model.ModelException

All Implemented Interfaces:
  Serializable

public class ModelException
extends Exception

Exception that is thrown when the SCXML model supplied to the executor has a fatal flaw that prevents the executor from further interpreting the the model.

See Also:
  Serialized Form

Constructor Summary
`ModelException()`
`ModelException(String message)`
`ModelException(String message, Throwable cause)`
`ModelException(Throwable cause)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ModelException

    public ModelException()

See Also:
  `Exception.Exception()`

### ModelException

    public ModelException(String message)

Parameters:
  `message` -
See Also:
  `Exception.Exception(java.lang.String)`

### ModelException

    public ModelException(Throwable cause)

Parameters:
  `cause` -
See Also:
  `Exception.Exception(java.lang.Throwable)`

### ModelException

    public ModelException(String message,
                          Throwable cause)

Parameters:
  `message` -
  `cause` -
See Also:
  `Exception.Exception(String, java.lang.Throwable)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 The Apache Software Foundation. All Rights Reserved.